Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc
Class CaseInsensitiveVariableTable

    java.lang.Object
      com.singularsys.jep.VariableTable
          com.singularsys.jep.misc.CaseInsensitiveVariableTable

All Implemented Interfaces:
  JepComponent, java.io.Serializable

    public class CaseInsensitiveVariableTable

extends VariableTable

A Variable table which ignores case. The case of the first instance of each variable is preserved.

Author:
  Richard Morris
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.VariableTable
`jep, table`

Constructor Summary
`CaseInsensitiveVariableTable()`

Method Summary
`Variable` | `addVariable(java.lang.String name)` Adds a new variable with no value specified.
`Variable` | `addVariable(java.lang.String name, java.lang.Object value)` Adds a new variable with specified value.
`Variable` | `getVariable(java.lang.String name)` Gets an existing variable, returns null if variable is not found.

Methods inherited from class com.singularsys.jep.VariableTable
`addVariable, clear, init, isEmpty, keySet, size, toString, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaseInsensitiveVariableTable

    public CaseInsensitiveVariableTable()

Method Detail

### addVariable

    public Variable addVariable(java.lang.String name)

  Adds a new variable with no value specified.

  Overrides:
    `addVariable` in class `VariableTable`
  Parameters:
    `name` -
  Returns:
    the variable

### addVariable

    public Variable addVariable(java.lang.String name,
                                java.lang.Object value)

  Adds a new variable with specified value.

  Overrides:
    `addVariable` in class `VariableTable`
  Parameters:
    `name` -
    `value` -
  Returns:
    the variable

### getVariable

    public Variable getVariable(java.lang.String name)

  Gets an existing variable, returns null if variable is not found.

  Overrides:
    `getVariable` in class `VariableTable`
  Parameters:
    `name` -
  Returns:
    the variable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep